# MAKE SURE YOU MODIFY:
# 1) Version:
# 2) THE %INSTALL SECTION FOR A RELEASE!

Summary: A set of system configuration and setup files.
Name: base-files
Version: PRO
Release: 1.1.0.%{_hhl_build_id}
Source0: inputrc
Source1: issue
Source2: issue.net
Source3: motd
Source4: profile
Source5: hosts
Source6: fstab
Source7: resolv.conf
Source8: base-files-LICENSE
Source9: base-files.tmpl
Source10: mvl-release
License: Public Domain
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
%define _defaultdocdir  %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
Prefix: %{_hhl_cross_target_dir}

# Turned off..
#BuildArch: noarch

Obsoletes : hhl-target-base-files
Obsoletes : hhl-%{_hhl_target_arch}-base-files

%description
This package contains a set of important system configuration and
setup files, such as /etc/inputrc, /etc/issue, /etc/motd, and
others.

# base-files

%prep
%target_check


%install
rm -rf %{buildroot}
%target_setup

mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_localstate_dir}/run
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_localstate_dir}/log

cp %{SOURCE0} %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/.
#cp %{SOURCE1} %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/.
#cp %{SOURCE2} %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/.
#cp %{SOURCE3} %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/.
sed -e "s,Development Version,Development Version (%{_hhl_build_id})," < %{SOURCE1} > \
	%{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/issue
sed -e "s,Development Version,Development Version (%{_hhl_build_id})," < %{SOURCE2} > \
	%{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/issue.net
sed -e "s,Development Version,Development Version (%{_hhl_build_id})," < %{SOURCE3} > \
	%{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/motd
cat %{SOURCE10} | sed -e "s/__RELEASE__/%{_hhl_build_id}/" > \
	%{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/mvl-release
cp %{SOURCE4} %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/.
cp %{SOURCE5} %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/.
cp %{SOURCE6} %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/.
cp %{SOURCE7} %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/.
touch %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_localstate_dir}/run/utmp
touch %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_localstate_dir}/log/wtmp
touch %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_localstate_dir}/log/lastlog

# We default to having mtab setup as a symlink to /proc/mounts.
ln -s /proc/mounts %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/mtab

cp %{SOURCE8} LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/skel
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE9} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/base-files

%clean
rm -rf %{buildroot}


%files -n base-files
%defattr(0644,root,root)
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/inputrc
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/issue
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/issue.net
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/motd
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/mtab
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/profile
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/hosts
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/fstab
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/resolv.conf
%config %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/mvl-release
%dir %attr (0755,root,root)  %{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/skel
%attr(0644,root,utmp)%{_hhl_cross_target_dir}/%{_hhl_target_localstate_dir}/run/utmp
%attr(0644,root,utmp)%{_hhl_cross_target_dir}/%{_hhl_target_localstate_dir}/log/wtmp
%attr(0644,root,utmp)%{_hhl_cross_target_dir}/%{_hhl_target_localstate_dir}/log/lastlog
%defattr(-,root,root)
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/base-files


%changelog
* Thu Apr 19 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Jan 22 2001 Mark Hatle <fray@mvista.com>
- Initial check in


